com.threerings.puzzle.data

## Class BoardSummary

- java.lang.Object
- - com.threerings.io.SimpleStreamableObject
  - - com.threerings.puzzle.data.BoardSummary

All Implemented Interfaces:
  com.threerings.io.Streamable

Direct Known Subclasses:
  DropBoardSummary

    public abstract class BoardSummary
    extends com.threerings.io.SimpleStreamableObject

Provides summarized data representing a player's board in a puzzle game. Board summaries are maintained by the puzzle server and are periodically sent to the clients to give them a view into how well their opponent(s) are doing. The data required to marshal a board summary object should be notably smaller in size than what would be required to marshal the entire associated `Board`.

Note all non-transient members of this and derived classes will automatically be serialized when the summary is sent over the wire.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Constructor Summary

Constructors
Constructor and Description
`BoardSummary()` Constructs an empty board summary for use when un-serializing.
`BoardSummary(Board board)` Constructs a board summary that retrieves full board information from the supplied board when summarizing.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `setBoard(Board board)` Sets the board associated with this board summary, causing an immediate update to this summary.
`abstract void` `summarize()` Called by the `PuzzleManager` to refresh the board summary information by studying the associated board contents.

### Methods inherited from class com.threerings.io.SimpleStreamableObject

`toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BoardSummary

    public BoardSummary()

Constructs an empty board summary for use when un-serializing.

#### BoardSummary

    public BoardSummary(Board board)

Constructs a board summary that retrieves full board information from the supplied board when summarizing.

### Method Detail

#### setBoard

    public void setBoard(Board board)

Sets the board associated with this board summary, causing an immediate update to this summary.

#### summarize

    public abstract void summarize()

Called by the `PuzzleManager` to refresh the board summary information by studying the associated board contents.